import {Module} from "vuex";
import {Compliance} from "@/model/Compliance";

const complianceStore: Module<any,any> = {
    state: {
        compliance: new Compliance(0),
    },
    mutations: {
        SET_COMPLIANCE(state, value) {
            state.compliance = new Compliance(value)
        },
    },
    actions: {
        compliance({commit}, value) {
            commit('SET_COMPLIANCE', value)
        },
    },
    getters: {
        compliance: state => state.compliance,
    }
}

export default complianceStore