import {Module} from "vuex";
import {Probability} from "@/model/Probability";

const probabilityStore: Module<any,any> = {
    state: {
        probability_complete: new Probability(0),
        probability_fall: new Probability(0),
    },
    mutations: {
        SET_PROBABILITY_COMPLETE(state, value) {
            state.probability_complete = new Probability(value)
        },
        SET_PROBABILITY_FALL(state, value) {
            state.probability_fall = new Probability(value)
        },
        RESET_STATE_PROBABILITY(state) {
            state.probability_complete = 0
            state.probability_fall = 0
        },
    },
    actions: {
        probabilityComplete({commit}, value) {
            commit('SET_PROBABILITY_COMPLETE', value)
        },
        probabilityFall({commit}, value) {
            commit('SET_PROBABILITY_FALL', value)
        },
        reset_state({commit}) {
            commit('RESET_STATE_PROBABILITY')
        }
    },
    getters: {
        probability_complete: state => state.probability_complete,
        probability_fall: state => state.probability_fall,
    }
}

export default probabilityStore