import { Module } from "vuex";

const registeredFallStore: Module<any, any> = {
    state: {
        registredFalls: [],
    },
    mutations: {
        SET_REGISTERED_FALLS(state, value) {
            state.registredFalls = value;
        },
        RESET_STATE_REGISTERED_FALLS(state) {
            state.registredFalls = [];
        },
    },
    actions: {
        registeredFalls({commit}, value) {
            commit('SET_REGISTERED_FALLS', value)
        },
        reset_state({commit}) {
            commit('RESET_STATE_REGISTERED_FALLS')
        }
    },
    getters: {
        falls: state => state.registredFalls,
    }
}

export default registeredFallStore
